using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Mpeg2.Descriptors
{
	[SkyscraperPlugin]
	[TsDescriptor(0x01)]
    [BannedTable("PMT","BAT","TSDT")]
    class _0x01_Reserved
    {
        public _0x01_Reserved(byte[] buffer)
        {
            throw new Mpeg2Exception(this.GetType().Name);
        }
    }
}
